package lcsb.mapviewer.annotation.services.dapi;

import java.util.List;

import lcsb.mapviewer.annotation.services.dapi.dto.ReleaseDto;
import lcsb.mapviewer.annotation.services.dapi.dto.UserDto;

public interface DapiConnector {
  void login() throws DapiConnectionException;

  String getLatestReleaseAvailable(String databaseName) throws DapiConnectionException;

  String getLatestReleaseUrl(String databaseName) throws DapiConnectionException;

  String getAuthenticatedContent(String string) throws DapiConnectionException;

  boolean isValidConnection();

  boolean isAuthenticated();

  void resetConnection();

  List<String> getDatabases() throws DapiConnectionException;

  List<ReleaseDto> getReleases(String database) throws DapiConnectionException;

  boolean isReleaseAccepted(String database, ReleaseDto release) throws DapiConnectionException;

  void acceptRelease(String database, String release) throws DapiConnectionException;

  void registerUser(UserDto user) throws DapiConnectionException;
}
