package lcsb.mapviewer.annotation.services.dapi;

import org.mockito.Mockito;
import org.springframework.context.annotation.*;

@Profile("dapiNotConnectedTestProfile")
@Configuration
public class DrugBankDapiNoConnectionConfiguration {

  @Bean
  @Primary
  public DapiConnector dapiConnector() throws DapiConnectionException {
    DapiConnector mock = Mockito.mock(DapiConnector.class);

    Mockito.doReturn(false).when(mock).isValidConnection();

    Mockito.doThrow(new DapiConnectionException("Dapi is not connected", -1)).when(mock).login();
    return mock;
  }

}
