package lcsb.mapviewer.annotation.services.dapi;

import static org.mockito.ArgumentMatchers.anyString;
import static org.mockito.Mockito.when;

import org.mockito.Mockito;
import org.springframework.context.annotation.*;

@Profile("dapiDownTestProfile")
@Configuration
public class DrugBankDapiWithProblemConfiguration {

  @Bean
  @Primary
  public DapiConnector dapiConnector() throws DapiConnectionException {
    DapiConnector mock = Mockito.mock(DapiConnector.class, Mockito.CALLS_REAL_METHODS);

    when(mock.getAuthenticatedContent(anyString()))
        .thenThrow(new DapiConnectionException("Simulated connection problem", -1));
    when(mock.getLatestReleaseUrl(anyString()))
        .thenThrow(new DapiConnectionException("Simulated connection problem", -1));
    Mockito.doThrow(new DapiConnectionException("Simulated connection problem", -1)).when(mock).login();
    
    Mockito.doReturn(true).when(mock).isValidConnection();

    return mock;
  }

}
