package lcsb.mapviewer.model.user;

import java.io.Serializable;
import java.util.Calendar;

import javax.persistence.*;

@Entity
public class ResetPasswordToken implements Serializable {

  /**
   * 
   */
  private static final long serialVersionUID = 1L;

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

  @Column(nullable = false)
  private String token;

  @ManyToOne
  private User user;

  @Column(nullable = false)
  private Calendar expires;

  protected ResetPasswordToken() {
    
  }
  
  public ResetPasswordToken(User user, String token, Calendar expires) {
    this.token = token;
    this.user = user;
    this.expires = expires;
  }

  public String getToken() {
    return token;
  }

  public User getUser() {
    return user;
  }

  public Calendar getExpires() {
    return expires;
  }
}
