package lcsb.mapviewer.web;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.mockito.Mockito;
import org.springframework.context.annotation.*;

import lcsb.mapviewer.services.utils.EmailSender;

@Profile("emailSenderProfile")
@Configuration
public class EmailSenderMockConfiguration {

  Logger logger = LogManager.getLogger();

  @Bean
  @Primary
  public EmailSender emailSender() throws Exception {
    EmailSender mock = Mockito.mock(EmailSender.class);

    Mockito.doReturn(true).when(mock).canSendEmails();

    return mock;
  }

}
